From: Paul Zander <negril.nx+gentoo@gmail.com>

Find the system flatbuffers and allow for newer revisions.

diff --git a/cmake/OpenCVDetectFlatbuffers.cmake b/cmake/OpenCVDetectFlatbuffers.cmake
index 537b738..dbfa532 100644
--- a/cmake/OpenCVDetectFlatbuffers.cmake
+++ b/cmake/OpenCVDetectFlatbuffers.cmake
@@ -1,12 +1,6 @@
 if(WITH_FLATBUFFERS)
-  set(HAVE_FLATBUFFERS 1)
-  set(flatbuffers_VERSION "23.5.9")
-  ocv_install_3rdparty_licenses(flatbuffers "${OpenCV_SOURCE_DIR}/3rdparty/flatbuffers/LICENSE.txt")
-  ocv_add_external_target(flatbuffers "${OpenCV_SOURCE_DIR}/3rdparty/flatbuffers/include" "" "HAVE_FLATBUFFERS=1")
-  set(CUSTOM_STATUS_flatbuffers "    Flatbuffers:" "builtin/3rdparty (${flatbuffers_VERSION})")
-endif()
-
-if(WITH_FLATBUFFERS OR HAVE_FLATBUFFERS)
+  find_package(flatbuffers REQUIRED)
+  set(HAVE_FLATBUFFERS "${flatbuffers_FOUND}")
   list(APPEND CUSTOM_STATUS flatbuffers)
 
   if(HAVE_FLATBUFFERS)
diff --git a/modules/dnn/misc/tflite/schema_generated.h b/modules/dnn/misc/tflite/schema_generated.h
index 44162ee..1c3c35a 100644
--- a/modules/dnn/misc/tflite/schema_generated.h
+++ b/modules/dnn/misc/tflite/schema_generated.h
@@ -10,7 +10,7 @@
 // generated, otherwise it may not be compatible.
 static_assert(FLATBUFFERS_VERSION_MAJOR == 23 &&
               FLATBUFFERS_VERSION_MINOR == 5 &&
-              FLATBUFFERS_VERSION_REVISION == 9,
+              FLATBUFFERS_VERSION_REVISION >= 9,
              "Non-compatible flatbuffers version included");
 
 namespace opencv_tflite {
